// pages/return-fee/index.js
import {
  myHpAgencyFeeList
} from '../../../../services/index.js'
Page({

  /**
   * 页面的初始数据
   */
  data: {
    list: [],
    pageNo: 1,
    isLast: false
  },
  todetail(e) {
    const {
      id
    } = e.currentTarget.dataset;
    wx.navigateTo({
      url: './detail?id=' + id,
    })
  },
  getList(pageNo = this.data.pageNo) {
    myHpAgencyFeeList({
      user_id: wx.getStorageSync('user_id'),
      user_token: wx.getStorageSync('user_token'),
      member_id: wx.getStorageSync('member_id'),
      idcard_number: wx.getStorageSync('hpMember').idCardNumber,
      pageNo
    }).then(data => {
      if (data.data.list && data.data.list.length) {
        pageNo++;
        this.setData({
          [`list[${pageNo - 2}]`]: data.data.list,
          pageNo,
          isLast: data.data.isLast
        })
      }
    })
  },
  /**
   * 生命周期函数--监听页面加载
   */
  onLoad: function (options) {
    wx.getStorage({
      key: 'hpMember',
      success: (res) => {
        this.setData({
          realName: res.data.realName,
          idNum: res.data.idCardNumber,
        })
      },
    })
  },

  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady: function () {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow: function () {
    this.setData({
      pageNo: 1,
      list: []
    }, _ => {
      this.getList()
    })
  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide: function () {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload: function () {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh: function () {
    this.setData({
      pageNo: 1,
      list: []
    }, _ => {
      this.getList()
    })
  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom: function () {
    if (this.data.isLast) {

    } else {
      this.getList()
    }
  },
})